UI::Util::Recoder Class Reference

Meta converter class: converter switcher and generic interface. More...

`#include <Recoder.hpp>`

Collaboration diagram for UI::Util::Recoder:

## Public Member Functions

| Recoder (std::string const &inEnc, std::string const &outEnc, bool const &sloppy=false)
| Constructor; sloppy is only supported by some converters.
Run conversions.

- Use non-factory methods "run" for temporary/small conversions.
- Use factory methods "make" if results are kept, or your conversion is big and you want to optimize your code.

Note
  Note again that Converter's are factories for Conversion's. If you use a methode here returning a Conversion pointer, you are reponsible for deletion as well.

Conversion const * | make (char const *src, size_t srcSize) const
Conversion const * | make (char const *src) const
std::string | run (char const *const buf, size_t const bufSize) const
std::string | run (char const *const src) const
std::string | run (std::string const &src) const

## Detailed Description

Meta converter class: converter switcher and generic interface.

The documentation for this class was generated from the following files:

- Recoder.hpp
- Recoder.cpp